{% extends 'base.html.twig' %}

{% block title %}Tous les rapports de traitement | Simplon les Deux Châtaux
{% endblock %}

{% block body %}
	<main>
		<h4 class="p-3 text-center">Rapports disponibles</h4>

		{% if reports != null %}
			<table class="table">
				<thead>
					<tr>
						<th scope="col">Numéro du rapport</th>
						<th scope="col">Déchets initiaux traités</th>
						<th scope="col">CO2 total émis</th>
						<th scope="col">Date</th>
					</tr>
				</thead>
				<tbody>

					{% for report in reports %}

						<tr>
							<th scope="row">
								<a href="{{ path('show_report', {'id': report.id}) }}">{{report.id}}</a>
							</th>
							<td>
								<a href="{{ path('show_report', {'id': report.id}) }}">{{report.nbTreatedWastes}}</a>
							</td>
							<td>
								<a href="{{ path('show_report', {'id': report.id}) }}">{{report.totalCO2Issued}}
									kg</a>
							</td>
							<td>
								<a href="{{ path('show_report', {'id': report.id}) }}">{{ report.date|date('d/m/Y H:i:s') }}</a>
							</td>
						</tr>

					{% endfor %}

				</tbody>
			</table>
		{% else %}
			<hr class="mt-0">
			<div class="no-report">
				<div>
					<i class="fas fa-exclamation-circle h4 mb-4"></i>
					<p>
						Aucun rapport disponible.</p>
				</div>
			</div>
		{% endif %}

	</main>
{% endblock %}
